Bug 127060 - AX: [ATK] Lists with selectable children should have ATK_ROLE_LIST_BOX
Summary: AX: [ATK] Lists with selectable children should have ATK_ROLE_LIST_BOX
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Accessibility (show other bugs)
Version: 528+ (Nightly build)
Hardware: All Linux
: P2 Normal
Assignee: Joanmarie Diggs (irc: joanie)
URL:
Keywords: InRadar
Depends on:
Blocks: 25531
  Show dependency treegraph
 
Reported: 2014-01-15 12:48 PST by Joanmarie Diggs (irc: joanie)
Modified: 2014-11-15 23:34 PST (History)
2 users (show)

See Also:


Attachments
accessible-event listener: listbox.py (418 bytes, text/x-python)
2014-01-15 12:48 PST, Joanmarie Diggs (irc: joanie)
no flags Details
test case: listbox.html (265 bytes, text/html)
2014-01-15 12:48 PST, Joanmarie Diggs (irc: joanie)
no flags Details
Patch (3.52 KB, patch)
2014-11-14 17:44 PST, Joanmarie Diggs (irc: joanie)
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Joanmarie Diggs (irc: joanie) 2014-01-15 12:48:05 PST
Created attachment 221293 [details]
accessible-event listener: listbox.py

Steps to reproduce:
1. Launch the attached accessible-event listener in a terminal
2. Launch the test case in Epiphany
3. Tab to move focus into the list

Expected result: The control with the selectable children would have ROLE_LIST_BOX.

Actual result: The control with the selectable children has ROLE_LIST.

Giving this object the same role as (un)ordered lists means that additional checks have to be made by ATs trying to figure out what sort of object a given list item (or list) really is.
Comment 1 Radar WebKit Bug Importer 2014-01-15 12:48:25 PST
<rdar://problem/15827732>
Comment 2 Joanmarie Diggs (irc: joanie) 2014-01-15 12:48:49 PST
Created attachment 221294 [details]
test case: listbox.html
Comment 3 Joanmarie Diggs (irc: joanie) 2014-11-14 17:44:17 PST
Created attachment 241647 [details]
Patch
Comment 4 WebKit Commit Bot 2014-11-15 23:34:22 PST
Comment on attachment 241647 [details]
Patch

Clearing flags on attachment: 241647

Committed r176160: <http://trac.webkit.org/changeset/176160>
Comment 5 WebKit Commit Bot 2014-11-15 23:34:25 PST
All reviewed patches have been landed.  Closing bug.